<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$pl=$_GET['p'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(mysql_real_escape_string($pl))."'");
	$f = mysql_fetch_array($q);
	if($game==0 OR $level==0 OR $f['uid']!=$use_id AND $ban!=0){

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	switch ($act) {
	default:
	$s = mysql_query("SELECT * FROM `building` WHERE `planet_id`='".check(mysql_real_escape_string($f['id']))."'");
	$b = mysql_fetch_array($s);
	echo "<title>Новые постройки</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok"><a href="planet.php?act=pl&amp;p='.$f['id'].'"><b>Планета '.$f['name'].'</b></a> | <font color="#4EEE94"><b>Новая постройка</b></font></div>';
	$building=$_GET['b'];
	$bb='b'.$building.'';
	$bl=''.b($building, $rasa).'';
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `uid`='".$use_id."' AND `typerab`=2 AND `type`='" . check(mysql_real_escape_string($building)) . "' AND `planet`='".$f['id']."';"), 0);
	$count1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `building` WHERE `planet_id`='".$f['id']."' AND `$bb`!=0;"), 0);

	//Люди
	if($rasa==1){
	
	if($building==1){ $gs=10000; $mn=10000; $met=10000; $t=100000; 
	if($b['b1']==0)$ot=1;} //командный центр
	if($building==2){ $gs=50; $mn=100; $met=100; $t=20000; 
	if($b['b2']==0 AND $lvl_hero>=3)$ot=1;}//хранилище
	if($building==3){ $gs=125; $mn=200; $met=200; $t=30000; 
	if($b['b3']==0 AND $lvl_hero>=4)$ot=1;}//инженерный комплекс
	if($building==4){ $gs=125; $mn=200; $met=200; $t=30000; 
	if($b['b4']==0 AND $lvl_hero>=6)$ot=1;}//станция наблюдения
	if($building==5){ $gs=500; $mn=1000; $met=1250; $t=40000; 
	if($b['b5']==0 AND $lvl_hero>=10)$ot=1;}//казармы
	if($building==6){ $gs=1250; $mn=1250; $met=1500; $t=50000; 
	if($b['b6']==0 AND $lvl_hero>=11)$ot=1;}//лаборатория
	if($building==7){ $gs=1250; $mn=1250; $met=1500; $t=50000; 
	if($b['b7']==0 AND $lvl_hero>=12)$ot=1;}//академия призраков
	if($building==8){ $gs=2000; $mn=2500; $met=2500; $t=50000; 
	if($b['b8']==0 AND $lvl_hero>=13)$ot=1;}//завод
	if($building==9){ $gs=2500; $mn=2750; $met=2750; $t=60000; 
	if($b['b9']==0 AND $lvl_hero>=14)$ot=1;}//арсенал
	if($building==10){ $gs=3000; $mn=4500; $met=4500; $t=60000; 
	if($b['b10']==0 AND $lvl_hero>=16)$ot=1;}//космопорт
	if($building==11){ $gs=3750; $mn=5000; $met=5000; $t=70000; 
	if($b['b11']==0 AND $lvl_hero>=17)$ot=1;}//центр синтеза
	if($building==12){ $gs=5000; $mn=7500; $met=7500; $t=80000; 
	if($b['b12']==0 AND $lvl_hero>=19)$ot=1;}//ускоритель частиц
	}

	//Киборги
	if($rasa==2){
	
	if($building==1){ $gs=10000; $mn=10000; $met=10000; $t=100000; 
	if($b['b1']==0)$ot=1;}//нексус
	if($building==2){ $gs=50; $mn=100; $met=100; $t=20000; 
	if($b['b2']==0 AND $lvl_hero>=3)$ot=1;}//пилон
	if($building==3){ $gs=200; $mn=200; $met=125; $t=30000; 
	if($b['b3']==0 AND $lvl_hero>=4)$ot=1;}//кибернетическое ядро
	if($building==4){ $gs=200; $mn=125; $met=200; $t=30000; 
	if($b['b4']==0 AND $lvl_hero>=6)$ot=1;}//контактная башня
	if($building==5){ $gs=1250; $mn=1000; $met=500; $t=40000; 
	if($b['b5']==0 AND $lvl_hero>=10)$ot=1;}//врата
	if($building==6){ $gs=1500; $mn=1250; $met=1250; $t=50000; 
	if($b['b6']==0 AND $lvl_hero>=11)$ot=1;}//оружейная
	if($building==7){ $gs=1500; $mn=1250; $met=1250; $t=50000; 
	if($b['b7']==0 AND $lvl_hero>=12)$ot=1;}//архивы тамплиеров
	if($building==8){ $gs=2500; $mn=2500; $met=2000; $t=50000; 
	if($b['b8']==0 AND $lvl_hero>=13)$ot=1;}//завод робототехники
	if($building==9){ $gs=2750; $mn=2750; $met=2500; $t=60000; 
	if($b['b9']==0 AND $lvl_hero>=14)$ot=1;}//робототехнический узел
	if($building==10){ $gs=4500; $mn=4500; $met=3000; $t=60000; 
	if($b['b10']==0 AND $lvl_hero>=16)$ot=1;}//звездные врата
	if($building==11){ $gs=5000; $mn=5000; $met=3750; $t=70000; 
	if($b['b11']==0 AND $lvl_hero>=17)$ot=1;}//маяк флотилии
	if($building==12){ $gs=7500; $mn=7500; $met=5000; $t=80000; 
	if($b['b12']==0 AND $lvl_hero>=19)$ot=1;}//телепортатор
	}
	
	//Органики
	if($rasa==3){
	
	if($building==1){ $gs=10000; $mn=10000; $met=10000; $t=100000; 
	if($b['b1']==0)$ot=1;}//инкубатор
	if($building==2){ $gs=50; $mn=100; $met=100; $t=30000; 
	if($b['b2']==0 AND $lvl_hero>=3)$ot=1;}//гнездо
	if($building==3){ $gs=125; $mn=200; $met=200; $t=40000; 
	if($b['b3']==0 AND $lvl_hero>=4)$ot=1;}//эволюционная камера
	if($building==4){ $gs=200; $mn=200; $met=125; $t=40000; 
	if($b['b4']==0 AND $lvl_hero>=6)$ot=1;}//споровик
	if($building==5){ $gs=1000; $mn=1250; $met=500; $t=40000; 
	if($b['b5']==0 AND $lvl_hero>=10)$ot=1;}//омут рождения
	if($building==6){ $gs=1250; $mn=1500; $met=1250; $t=50000; 
	if($b['b6']==0 AND $lvl_hero>=11)$ot=1;}//гнездо гиблингов
	if($building==7){ $gs=1250; $mn=1500; $met=1250; $t=50000; 
	if($b['b7']==0 AND $lvl_hero>=12)$ot=1;}//рассадник тараканов
	if($building==8){ $gs=2500; $mn=2500; $met=2000; $t=50000; 
	if($b['b8']==0 AND $lvl_hero>=13)$ot=1;}//берлога гидралисков
	if($building==9){ $gs=2750; $mn=2750; $met=2500; $t=60000; 
	if($b['b9']==0 AND $lvl_hero>=14)$ot=1;}//яма заразителей
	if($building==10){ $gs=4500; $mn=4500; $met=3000; $t=60000; 
	if($b['b10']==0 AND $lvl_hero>=18)$ot=1;}//пещера ультралиска
	if($building==11){ $gs=5000; $mn=5000; $met=3750; $t=70000; 
	if($b['b11']==0 AND $lvl_hero>=16)$ot=1;}//шпиль
	if($building==12){ $gs=7500; $mn=7500; $met=5000; $t=80000; 
	if($b['b12']==0 AND $lvl_hero>=19)$ot=1;}//сеть нидуса
	}
	switch ($act) {
	default:
	echo '<div class="blok1"><div class="ch">';
	if($rasa==1){
	if($b['b1']==0)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=1">Командный центр</a><br/>';	
	if($b['b2']==0 AND $lvl_hero>=3)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=2">Хранилище</a><br/>';
	if($b['b3']==0 AND $lvl_hero>=4)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=3">Инженерный комплекс</a><br/>';
	if($b['b4']==0 AND $lvl_hero>=6)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=4">Станция наблюдения</a><br/>';
	if($b['b5']==0 AND $lvl_hero>=10)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=5">Казармы</a><br/>';
	if($b['b6']==0 AND $lvl_hero>=11)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=6">Лаборатория</a><br/>';
	if($b['b7']==0 AND $lvl_hero>=12)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=7">Академия призраков</a><br/>';
	if($b['b8']==0 AND $lvl_hero>=13)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=8">Завод</a><br/>';
	if($b['b9']==0 AND $lvl_hero>=14)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=9">Арсенал</a><br/>';
	if($b['b10']==0 AND $lvl_hero>=16)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=10">Космопорт</a><br/>';
	if($b['b11']==0 AND $lvl_hero>=17)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=11">Центр синтеза</a><br/>';
	if($b['b12']==0 AND $lvl_hero>=19)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=12">Ускоритель частиц</a><br/>';
	}
	if($rasa==2){
	if($b['b1']==0)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=1">Нексус</a><br/>';	
	if($b['b2']==0 AND $lvl_hero>=3)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=2">Пилон</a><br/>';
	if($b['b3']==0 AND $lvl_hero>=4)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=3">Кибернетическое ядро</a><br/>';
	if($b['b4']==0 AND $lvl_hero>=6)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=4">Контактная башня</a><br/>';
	if($b['b5']==0 AND $lvl_hero>=10)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=5">Врата</a><br/>';
	if($b['b6']==0 AND $lvl_hero>=11)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=6">Оружейная</a><br/>';
	if($b['b7']==0 AND $lvl_hero>=12)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=7">Архивы тамплиеров</a><br/>';
	if($b['b8']==0 AND $lvl_hero>=13)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=8">Завод робототехники</a><br/>';
	if($b['b9']==0 AND $lvl_hero>=14)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=9">Робототехнический узел</a><br/>';
	if($b['b10']==0 AND $lvl_hero>=16)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=10">Звездные врата</a><br/>';
	if($b['b11']==0 AND $lvl_hero>=17)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=11">Маяк флотилии</a><br/>';
	if($b['b12']==0 AND $lvl_hero>=19)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=12">Телепортатор</a><br/>';
	}
	if($rasa==3){
	if($b['b1']==0)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=1">Инкубатор</a><br/>';	
	if($b['b2']==0 AND $lvl_hero>=3)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=2">Гнездо</a><br/>';
	if($b['b3']==0 AND $lvl_hero>=4)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=3">Эволюционная камера</a><br/>';
	if($b['b4']==0 AND $lvl_hero>=6)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=4">Споровик</a><br/>';
	if($b['b5']==0 AND $lvl_hero>=10)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=5">Омут рождения</a><br/>';
	if($b['b6']==0 AND $lvl_hero>=11)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=6">Гнездо гиблингов</a><br/>';
	if($b['b7']==0 AND $lvl_hero>=12)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=7">Рассадник тараканов</a><br/>';
	if($b['b8']==0 AND $lvl_hero>=13)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=8">Берлога гидралисков</a><br/>';
	if($b['b9']==0 AND $lvl_hero>=14)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=9">Яма заразителей</a><br/>';
	if($b['b10']==0 AND $lvl_hero>=18)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=10">Пещера ультралиска</a><br/>';
	if($b['b11']==0 AND $lvl_hero>=16)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=11">Шпиль</a><br/>';
	if($b['b12']==0 AND $lvl_hero>=19)echo ''.rasa($rasa).' <a href="?act=new&amp;p='.$f['id'].'&amp;b=12">Сеть Нидуса</a><br/>';
	}
	echo '</div></div>';
	break;
	case 'new':

	
	echo '<div class="conts">Постройка: '.$bl.'<br/>';
	echo '<img src="../images/min.gif" alt="image" /> Минералы: '.$mn.' ('.$min.')<br/>';
	echo '<img src="../images/metall.gif" alt="image" /> Металлы: '.$met.' ('.$metall.')<br/>';
	echo '<img src="../images/gas.gif" alt="image" /> Газ Веспен: '.$gs.' ('.$gas.')</div><div class="conts">';
	if($gs>$gas OR $mn>$min OR $met>$metall OR $r>$f['rab'] OR $count!=0 OR $count1!=0 OR $ot!=1 OR $mn==''){echo 'Вы не можете начать постройку!<br/>';}else{
	echo '<form action="?act=ok&amp;p='.$f['id'].'&amp;b='.$building.'" method="POST">';
	echo ''.rab($rasa).' ('.$f['rab'].') ';
	echo '<input type="text" name="r" size="2" maxlength="2" value=""/> (max.30)
	<br/><input type="submit" name="submit" value="Построить"/></form>';}
	echo '<a href="build.php?p='.$f['id'].'"><<Назад</a></div>';
	break;
	
	case 'ok':
	$r=$_POST['r'];
	echo '<div class="conts">';
	if($r>30 OR $gs>$gas OR $mn>$min OR $met>$metall OR $r>$f['rab'] OR $count!=0 OR $count1!=0 OR $ot!=1 OR $mn=='' OR $r<1){echo 'Вы не можете начать постройку!<br/>';}else{
	echo 'Начата постройка здания <u>'.$bl.'</u><br/>Использовано:<br/>';
	echo '<img src="../images/min.gif" alt="image" /> Минералы: '.$mn.'<br/>';
	echo '<img src="../images/metall.gif" alt="image" /> Металлы: '.$met.'<br/>';
	echo '<img src="../images/gas.gif" alt="image" /> Газ Веспен: '.$gs.'<br/>';
	$t1=intval(($t/$r)/60);
	$t2=$t/$r;
	echo '<img src="../images/time.gif" alt="image" /> Время постройки: '.$t1.' минут<br/>';
	mysql_query("INSERT INTO `rabota` SET
			`uid`='".$use_id."',
			`planet`='".$f['id']."',
			`name_planet`='".$f['name']."',
			`rasa`='".$rasa."',
			`type`='" . check(mysql_real_escape_string($building)) . "',
			`typerab`=2,
			`rab`='" . check(mysql_real_escape_string($r)) . "',
			`time`=$realtime+$t2;");
			
			mysql_query("UPDATE `users` SET
			`metall`=metall-$met,
			`gas`=gas-$gs,
			`min`=min-$mn WHERE `id`='".$use_id."';");
			
			mysql_query("UPDATE `planet` SET
			`rab`=rab-$r WHERE `id`='".$f['id']."';");
			}
	echo '</div>';
	break;
	
	}
}
}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>